import { FC } from 'react';
import './index.css';
export interface User {
    userId: string;
    userName: string;
    avatar?: string;
    hasVideo: boolean;
    hasAudio: boolean;
    isHost: boolean;
    isMe?: boolean;
    isScreenSharing?: boolean;
    audioDeviceType: 'none' | 'computer-mic' | 'phone-mic';
    videoDeviceType: 'none' | 'computer-cam';
    userType: 'normal' | 'phone' | 'meeting-system';
    volume?: number;
    userRole?: number;
    isSpotlight?: boolean;
    isBoardActive?: boolean;
}
export interface IFcrParticipantProps extends User {
    perspectiveType: 'host' | 'attendee' | 'cohost';
    onParticipantsButtonClick?: (action: string, userId?: string, data?: any) => void;
}
export declare const FcrParticipant: FC<IFcrParticipantProps>;
