"use strict";

require("core-js/modules/es.object.define-property.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FcrParticipantsMoreActions = void 0;
require("core-js/modules/es.array.concat.js");
require("core-js/modules/es.array.filter.js");
require("core-js/modules/es.array.includes.js");
require("core-js/modules/es.object.to-string.js");
require("core-js/modules/es.string.includes.js");
var _dropMenu = require("../../drop-menu");
var _icon = require("../../icon");
var _type = require("../../icon/type");
require("./index.css");
var _i18n = require("../../../i18n");
var _jsxRuntime = require("react/jsx-runtime");
var FcrParticipantsMoreActions = exports.FcrParticipantsMoreActions = function FcrParticipantsMoreActions(props) {
  var isMe = props.isMe,
    userId = props.userId,
    hasVideo = props.hasVideo,
    _props$onParticipants = props.onParticipantsButtonClick,
    onParticipantsButtonClick = _props$onParticipants === void 0 ? function () {} : _props$onParticipants,
    userName = props.userName;
  var t = (0, _i18n.useI18n)();
  var allActions = [{
    icon: /*#__PURE__*/(0, _jsxRuntime.jsx)(_icon.FcrIcon, {
      type: _type.FcrIconType.FCR_MOBILE_CHAT3,
      size: 20,
      colors: {
        iconPrimary: 'var(--fcr_ui_scene_icontext5)'
      }
    }),
    title: t('fmt_attendies_button_privatechat'),
    key: 'PRIVATE_CHAT',
    type: 'primary',
    onButtonClick: function onButtonClick() {
      onParticipantsButtonClick('PRIVATE_CHAT', userId);
    },
    role: ['host'],
    classNames: 'fcr-drop-menu-option-with-under-line'
  }, {
    icon: /*#__PURE__*/(0, _jsxRuntime.jsx)(_icon.FcrIcon, {
      type: _type.FcrIconType.FCR_MOBILE_CAMERA2,
      size: 20,
      colors: {
        iconPrimary: 'var(--fcr_ui_scene_icontext5)'
      }
    }),
    title: "".concat(isMe || hasVideo ? '' : t('fmt_attendies_button_request')).concat(hasVideo ? t('fmt_device_label_video_stop') : t('fmt_device_label_video_start')),
    key: 'toggle_video',
    type: 'primary',
    onButtonClick: function onButtonClick() {
      onParticipantsButtonClick(hasVideo ? 'MUTE_VIDEO' : 'UNMUTE_VIDEO', userId);
    },
    role: ['host', 'me'],
    classNames: 'fcr-drop-menu-option-with-under-line'
  }, {
    icon: /*#__PURE__*/(0, _jsxRuntime.jsx)(_icon.FcrIcon, {
      type: _type.FcrIconType.FCR_FOCUSONHIM,
      size: 20,
      colors: {
        iconPrimary: 'var(--fcr_ui_scene_icontext5)'
      }
    }),
    title: t('fmt_attendies_options_setfocus'),
    key: 'set_as_focus_video',
    type: 'disabled',
    role: ['host', 'attendee'],
    onButtonClick: function onButtonClick() {
      console.log('Remove user', userId);
    }
  }, {
    icon: /*#__PURE__*/(0, _jsxRuntime.jsx)(_icon.FcrIcon, {
      type: _type.FcrIconType.FCR_PINPAGE,
      size: 20,
      colors: {
        iconPrimary: 'var(--fcr_ui_scene_icontext5)'
      }
    }),
    title: "PIN",
    key: 'pin',
    type: 'disabled',
    role: ['host', 'attendee', 'me'],
    onButtonClick: function onButtonClick() {
      onParticipantsButtonClick('PIN', userId);
    },
    classNames: 'fcr-drop-menu-option-with-under-line'
  }, {
    title: t('fmt_attendies_options_sethost'),
    icon: /*#__PURE__*/(0, _jsxRuntime.jsx)(_icon.FcrIcon, {
      type: _type.FcrIconType.FCR_PINPAGE,
      size: 20,
      colors: {
        iconPrimary: 'var(--fcr_ui_scene_icontext5)'
      }
    }),
    key: 'set_as_host',
    role: ['host'],
    onButtonClick: function onButtonClick() {
      onParticipantsButtonClick('SET_AS_HOST', userId);
    }
  }, {
    title: t('fmt_attendies_options_setcohost'),
    icon: /*#__PURE__*/(0, _jsxRuntime.jsx)(_icon.FcrIcon, {
      type: _type.FcrIconType.FCR_PINPAGE,
      size: 20,
      colors: {
        iconPrimary: 'var(--fcr_ui_scene_icontext5)'
      }
    }),
    key: 'set_as_co-host',
    role: ['host'],
    type: 'disabled'
  }, {
    icon: /*#__PURE__*/(0, _jsxRuntime.jsx)(_icon.FcrIcon, {
      type: _type.FcrIconType.FCR_RENAME,
      size: 20,
      colors: {
        iconPrimary: 'var(--fcr_ui_scene_icontext5)'
      }
    }),
    title: t('fmt_sip_button_rename'),
    key: 'rename',
    type: 'disabled',
    role: ['me'],
    onButtonClick: function onButtonClick() {
      onParticipantsButtonClick('RENAME', userId);
    },
    classNames: 'fcr-drop-menu-option-with-under-line'
  }, {
    title: t('fmt_attendies_options_allowlocalrecord'),
    icon: /*#__PURE__*/(0, _jsxRuntime.jsx)(_icon.FcrIcon, {
      type: _type.FcrIconType.FCR_PINPAGE,
      size: 20,
      colors: {
        iconPrimary: 'var(--fcr_ui_scene_icontext5)'
      }
    }),
    key: 'allow_record_local_video',
    role: ['host'],
    type: 'disabled',
    onButtonClick: function onButtonClick() {
      onParticipantsButtonClick('ALL_RECORDING_LOCAL_VIDEO', userId);
    },
    classNames: 'fcr-drop-menu-option-with-under-line'
  }, {
    title: t('fmt_attendies_options_putinwaitingroom'),
    icon: /*#__PURE__*/(0, _jsxRuntime.jsx)(_icon.FcrIcon, {
      type: _type.FcrIconType.FCR_PINPAGE,
      size: 20,
      colors: {
        iconPrimary: 'var(--fcr_ui_scene_icontext5)'
      }
    }),
    key: 'put_into_waiting_room',
    role: ['host'],
    type: 'disabled',
    onButtonClick: function onButtonClick() {
      onParticipantsButtonClick('PUT_IN_WAITING_ROOM', userId);
    },
    classNames: 'fcr-drop-menu-option-with-under-line'
  }, {
    title: t('fmt_attendies_button_remove'),
    icon: /*#__PURE__*/(0, _jsxRuntime.jsx)(_icon.FcrIcon, {
      type: _type.FcrIconType.FCR_SETTING_NONE,
      size: 20,
      colors: {
        iconPrimary: 'var(--fcr_ui_scene_ramp_red6)'
      }
    }),
    key: 'KICK_OUT',
    type: 'danger',
    role: ['host'],
    onButtonClick: function onButtonClick() {
      onParticipantsButtonClick('KICK_OUT', userId);
    }
  }];
  var hostActions = allActions.filter(function (action) {
    return action.role.includes('host');
  });
  var attendeeActions = allActions.filter(function (action) {
    return action.role.includes('attendee');
  });
  var selfActions = allActions.filter(function (action) {
    return action.role.includes('me');
  });
  var currentActions = props.isMe ? selfActions : props.perspectiveType === 'host' ? hostActions : attendeeActions;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_dropMenu.FcrDropMenu, {
    title: userName,
    options: currentActions
  });
};