"use strict";

require("core-js/modules/es.array.iterator.js");
require("core-js/modules/es.object.define-property.js");
require("core-js/modules/es.object.get-own-property-descriptor.js");
require("core-js/modules/es.object.to-string.js");
require("core-js/modules/es.string.iterator.js");
require("core-js/modules/es.weak-map.js");
require("core-js/modules/web.dom-collections.iterator.js");
var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FcrSelectPhone = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));
var _classnames = _interopRequireDefault(require("classnames"));
var _react = _interopRequireWildcard(require("react"));
require("./index.css");
var _icon = require("../icon");
var _type = require("../icon/type");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var FcrSelectPhone = exports.FcrSelectPhone = function FcrSelectPhone(_ref) {
  var placeholder = _ref.placeholder,
    options = _ref.options,
    _ref$size = _ref.size,
    size = _ref$size === void 0 ? 'medium' : _ref$size,
    styleType = _ref.styleType,
    _ref$onChange = _ref.onChange,
    onChange = _ref$onChange === void 0 ? function () {} : _ref$onChange,
    disabled = _ref.disabled;
  var _useState = (0, _react.useState)(false),
    _useState2 = (0, _slicedToArray2["default"])(_useState, 2),
    zoneFocused = _useState2[0],
    setZoneFocused = _useState2[1];
  var _useState3 = (0, _react.useState)(false),
    _useState4 = (0, _slicedToArray2["default"])(_useState3, 2),
    inputFocused = _useState4[0],
    setInputFocused = _useState4[1];
  var wrapperCls = (0, _classnames["default"])('fcr-select-wrapper', {
    'fcr-select-wrapper-l': size === 'large',
    'fcr-select-wrapper-m': size === 'medium',
    'fcr-select-wrapper-s': size === 'small'
  });
  var cls = (0, _classnames["default"])('fcr-select-phone', (0, _defineProperty2["default"])({
    'fcr-select-phone--disabled': disabled,
    'fcr-select-phone-l': size === 'large',
    'fcr-select-phone-m': size === 'medium',
    'fcr-select-phone-s': size === 'small'
  }, "fcr-select-phone-".concat(styleType), !!styleType));
  var zoneCls = (0, _classnames["default"])('fcr-select-phone-zone', {
    'fcr-select-phone-zone--focused': zoneFocused
  });
  var inputCls = (0, _classnames["default"])('fcr-select-phone-input', {
    'fcr-select-phone-input--focused': inputFocused
  });
  var handleZoneClick = disabled ? function () {} : function () {
    setZoneFocused(!zoneFocused);
    setInputFocused(false);
  };
  var handleInputClick = disabled ? function () {} : function () {
    setInputFocused(!inputFocused);
    setZoneFocused(false);
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    className: wrapperCls,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      className: cls,
      children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
        className: 'fcr-select-phone-top',
        children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
          className: zoneCls,
          onClick: handleZoneClick,
          children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
            children: 1111
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_icon.FcrIcon, {
            className: "fcr-select-phone-zone__icon",
            colors: {
              iconPrimary: 'var(--fcr_ui_scene_icontext1)'
            },
            type: _type.FcrIconType.FCR_DROPDOWN,
            size: 24
          })]
        }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
          className: inputCls,
          onClick: handleInputClick,
          children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("input", {}), /*#__PURE__*/(0, _jsxRuntime.jsx)(_icon.FcrIcon, {
            className: "fcr-select-phone-input__icon",
            colors: {
              iconPrimary: 'var(--fcr_ui_scene_icontext1)'
            },
            type: _type.FcrIconType.FCR_DROPDOWN,
            size: 24
          })]
        })]
      })
    })
  });
};