"use strict";

require("core-js/modules/es.object.define-property.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.clickAnywhere = void 0;
require("core-js/modules/es.array.for-each.js");
require("core-js/modules/es.array.iterator.js");
require("core-js/modules/es.object.to-string.js");
require("core-js/modules/es.set.js");
require("core-js/modules/es.string.iterator.js");
require("core-js/modules/web.dom-collections.for-each.js");
require("core-js/modules/web.dom-collections.iterator.js");
var callbacks = new Set();
var clickAnywhere = exports.clickAnywhere = function clickAnywhere(el, cb) {
  var propaHandler = function propaHandler(e) {
    // need to call back other clickAnywhere
    // before e.stopPropagation,
    // if there are more than one
    callbacks.forEach(function (ocb) {
      if (ocb !== cb) {
        ocb();
      }
    });
    e.stopPropagation();
  };
  var callbackHandler = function callbackHandler() {
    cb();
  };
  el.addEventListener('mousedown', propaHandler);
  window.addEventListener('mousedown', callbackHandler);
  callbacks.add(cb);
  return function () {
    el.addEventListener('mousedown', propaHandler);
    window.removeEventListener('mousedown', callbackHandler);
    callbacks["delete"](cb);
  };
};